## ocaml-lo 0.1.2

=== examples/osclisten/Makefile ===
SOURCES = osclisten.ml
RESULT = osclisten
INCDIRS = ../../src
LIBS = lo

all: nc

test: all
	./osclisten

include OCamlMakefile

=== examples/send/Makefile ===
SOURCES = send.ml
RESULT = send
INCDIRS = ../../src
LIBS = lo

all: dnc

test: all
	./send

include OCamlMakefile

## ocaml-lo 0.1.0

=== debian/changelog ===
ocaml-lo (0.1.0-1build5) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:02:10 +0200

ocaml-lo (0.1.0-1build4) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:38 +0100

ocaml-lo (0.1.0-1build3) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 12:31:17 -0600

ocaml-lo (0.1.0-1build2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:17 +0000

ocaml-lo (0.1.0-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:50:59 +0000

ocaml-lo (0.1.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #635453)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 25 Jul 2011 17:49:20 -0500

=== debian/control ===
Source: ocaml-lo
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
               liblo-dev, ocaml-findlib (>= 1.2.4), 
               pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-lo.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-lo.git

Package: liblo-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the lo library -- runtime files
 This package provides an interface to the lo library for
 OCaml programmers.
 .
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol.
 .
 This package contains only the shared runtime stub libraries.

Package: liblo-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, liblo-dev,
         liblo-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the lo library -- developpement files
 This package provides an interface to the lo library for
 OCaml programmers.
 .
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-lo.

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-lo-(.+)\.tar\.gz

## ocaml-lo 0.1.2

=== debian/changelog ===
ocaml-lo (0.1.2-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:41 +0000

ocaml-lo (0.1.2-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 0.1.2
  * Move to dh
  * Bump compat level to 11 (use debhelper-compat)
  * Bump Standards-Version to 4.4.1 (dh, debhelper-compat)
  * Update Vcs-* to use salsa
  * Update uploaders

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 08 Nov 2019 21:38:14 +0200

=== debian/control ===
Source: ocaml-lo
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper (>= 11),
               debhelper-compat (= 11),
               dh-buildinfo,
               dh-ocaml (>= 0.9),
               liblo-dev,
               ocaml-findlib (>= 1.2.4),
               ocaml-nox,
               pkg-config
Standards-Version: 4.4.1
Homepage: https://www.liquidsoap.info/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lo.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-lo

Package: liblo-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the lo library -- runtime files
 This package provides an interface to the lo library for
 OCaml programmers.
 .
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol.
 .
 This package contains only the shared runtime stub libraries.

Package: liblo-ocaml-dev
Architecture: any
Depends: liblo-dev,
         liblo-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the lo library -- development files
 This package provides an interface to the lo library for
 OCaml programmers.
 .
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-lo.

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-lo/releases .*/ocaml-lo-(.*)\.tar\.gz

## ocaml-lo 0.2.0

=== debian/changelog ===
ocaml-lo (0.2.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:09 +0100

ocaml-lo (0.2.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 18:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ocaml-lo
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper (>= 11),
-               debhelper-compat (= 11),
+Build-Depends:
+               debhelper-compat (= 13),
                dh-buildinfo,
-               dh-ocaml (>= 0.9),
+               dh-ocaml,
                liblo-dev,
-               ocaml-findlib (>= 1.2.4),
+               ocaml-dune,
+               libdune-ocaml-dev,
                ocaml-nox,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lo.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-lo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p lo

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-lo/releases .*/v?([0-9.]*)\.tar\.gz

## ocaml-lo 0.2.0.git20240724.0b43bdf

=== debian/changelog ===
ocaml-lo (0.2.0.git20240724.0b43bdf-2) unstable; urgency=medium

  * Team upload
  * Remove dh-buildinfo from Build-Depends
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 07:17:32 +0200

ocaml-lo (0.2.0.git20240724.0b43bdf-1) unstable; urgency=medium

  * Fetch git snapshots
  * New upstream version 0.2.0.git20240724.0b43bdf (Closes: #1075329)
  * Bump Standards-Version to 4.7.0 (no change)
  * Update pkgconf dependency

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 28 Sep 2024 22:19:07 +0100

ocaml-lo (0.2.0-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:58:01 +0200

ocaml-lo (0.2.0-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 12:57:57 +0200

ocaml-lo (0.2.0-2) unstable; urgency=low

  * d/watch: look for new upstream releases via git tags
  * d/control: depend on shlibs

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 16:26:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends:
-               debhelper-compat (= 13),
-               dh-buildinfo,
-               dh-ocaml,
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml (>= 1.2),
+               libdune-ocaml-dev,
                liblo-dev,
                ocaml-dune,
-               libdune-ocaml-dev,
-               ocaml-nox,
-               pkg-config
-Standards-Version: 4.6.0
+               ocaml,
+               pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lo.git
@@ -37,7 +35,8 @@
          liblo-ocaml (= ${binary:Version}),
          ocaml-findlib,
          ${misc:Depends},
-         ${ocaml:Depends}
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the lo library -- development files
  This package provides an interface to the lo library for

=== debian/watch ===
version=4
#opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%" \
#    https://github.com/savonet/ocaml-lo/tags \
#    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
opts="mode=git, pgpmode=none, \
    pretty=0.2.0.git%cd.%h" \
    https://github.com/savonet/ocaml-lo \
    HEAD
